﻿@model IEnumerable<NSS.Entity.Base.School>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.SchoolName)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.SchoolType)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.City)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.State)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ZipCode)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.Directions)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Address1)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.Address2)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.Address3)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Phone1)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.Phone2)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.SchoolEmail)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.Fax)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.OpenDate)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.CloseDate)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Info1)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.Info2)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.Info3)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.Notes)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.ExternalId)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.ActiveStatus)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.CreationDate)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.CreatedBy)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.ChangeDate)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.ModifiedBy)
            </th>*@
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.SchoolName)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.SchoolType)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.City)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.State)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ZipCode)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Directions)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Address1)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Address2)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.Address3)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Phone1)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Phone2)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.SchoolEmail)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Fax)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.OpenDate)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.CloseDate)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Info1)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Info2)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.Info3)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.Notes)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.ExternalId)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.ActiveStatus)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.CreationDate)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.CreatedBy)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.ChangeDate)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.ModifiedBy)
                </td>*@
            <td>
                @*@Html.ActionLink("Edit", "Update", new { id = item.SchoolNo }) |*@
                <a href="#" onclick="NSSApplication.getModal('@Url.Action("Update", new { id = item.SchoolNo })'); return false;"
                   data-toggle="modal" data-target="#modal-container" class="btn btn-warning btn-sm">
                    <span class="glyphicon glyphicon-edit"></span> Edit
                </a> |
                @*@Html.ActionLink("Details", "Details", new { id = item.SchoolNo }) |*@
                <a href="#" onclick="NSSApplication.getModal('@Url.Action("Details", new { id = item.SchoolNo })'); return false;"
                   data-toggle="modal" data-target="#modal-container" class="btn btn-success btn-sm">
                    <span class="glyphicon glyphicon-plus"></span> Details
                </a> |
                @*@Html.ActionLink("Delete", "Deleted", new { id = item.SchoolNo })*@
                <a href="#" onclick="NSSApplication.getModal('@Url.Action("Deleted", new { id = item.SchoolNo })'); return false;"
                   data-toggle="modal" data-target="#modal-container" class="btn btn-danger btn-sm">
                    <span class="glyphicon glyphicon-edit"></span> Delete
                </a>
            </td>
        </tr>
    }

</table>
